Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.image
Class ImageMetadataLexicon

    java.lang.Object
      org.modeshape.sequencer.image.ImageMetadataLexicon

    @Immutable
    public final class ImageMetadataLexicon

extends Object

A lexicon of names used within the image sequencer.

Nested Class Summary
`static class` | `ImageMetadataLexicon.Namespace`

Field Summary
`static String` | `BITS_PER_PIXEL`
`static String` | `FORMAT_NAME`
`static String` | `HEIGHT`
`static String` | `METADATA_NODE`
`static String` | `NUMBER_OF_IMAGES`
`static String` | `PHYSICAL_HEIGHT_DPI`
`static String` | `PHYSICAL_HEIGHT_INCHES`
`static String` | `PHYSICAL_WIDTH_DPI`
`static String` | `PHYSICAL_WIDTH_INCHES`
`static String` | `PROGRESSIVE`
`static String` | `WIDTH`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METADATA_NODE

    public static final String METADATA_NODE

See Also:
  Constant Field Values

### FORMAT_NAME

    public static final String FORMAT_NAME

See Also:
  Constant Field Values

### WIDTH

    public static final String WIDTH

See Also:
  Constant Field Values

### HEIGHT

    public static final String HEIGHT

See Also:
  Constant Field Values

### BITS_PER_PIXEL

    public static final String BITS_PER_PIXEL

See Also:
  Constant Field Values

### PROGRESSIVE

    public static final String PROGRESSIVE

See Also:
  Constant Field Values

### NUMBER_OF_IMAGES

    public static final String NUMBER_OF_IMAGES

See Also:
  Constant Field Values

### PHYSICAL_WIDTH_DPI

    public static final String PHYSICAL_WIDTH_DPI

See Also:
  Constant Field Values

### PHYSICAL_HEIGHT_DPI

    public static final String PHYSICAL_HEIGHT_DPI

See Also:
  Constant Field Values

### PHYSICAL_WIDTH_INCHES

    public static final String PHYSICAL_WIDTH_INCHES

See Also:
  Constant Field Values

### PHYSICAL_HEIGHT_INCHES

    public static final String PHYSICAL_HEIGHT_INCHES

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.